Bug 1468804 - synaptics touchpad unresponsive in fedora 26 beta
synaptics touchpad unresponsive in fedora 26 beta
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: synaptics (Show other bugs)
26
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On: 1508741
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-08 03:51 EDT by Terry L. Coons
Modified: 2017-11-09 18:51 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-09 18:51:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry L. Coons 2017-07-08 03:51:09 EDT
Description of problem: when scrolling synaptics touchpad the cursor does not respond for several milliseconds then the cursor jumps. The direction the cursor moves is not consistent. It jumps all over in any direction regardless of which direction the touchpad is swiped.


Version-Release number of selected component (if applicable):


How reproducible: The cursor response happens every time fedora 26 beta is booted with kernel 4.11.8-300.


Steps to Reproduce:
1. boot to kernel 4.11.8-300 with fedora 26 beta
2. login as user
3. scroll cursor using synaptics touchpad.

Actual results: cursor hangs in position and then it jumps. The cursor doesn't move in a consistent direction. It jumps all over regardless of which direction the touchpad is swiped.


Expected results: I googled "touchpad not working in fedora", I followed the suggested fix for fedora version 22. I installed the synaptics driver for x11, and followed the steps to change the config file. I rebooted the system, and repeated the steps that reproduced the problem. The latest updates have been installed.


Additional info: the system is a msi gt72 vr 7re dominator pro laptop, 32 gb ram, intel ssd, 64 bit core i7 7th generation processor, GeForce gtx 1070 graphics card, synaptics touchpad, 17.3 hd screen, steelseries keyboard.
Comment 1 Peter Hutterer 2017-07-09 18:38:34 EDT
please record a buggy sequence with sudo evemu-record and attach the output here. Make sure the sequence is short enough and replicates the issue so I can replay it here to reproduce it, thanks.
Comment 2 Terry L. Coons 2017-10-30 21:55:27 EDT
My Seagate external hdd quit working, and the bois would not detect it during boot up.
I am trying to get the issue fixed with Seagate. Until I get another hdd, and reload fedora for x64 I will not be able to provide any updated information on the bug.
Sorry about the delay.
Comment 3 Peter Hutterer 2017-11-09 18:51:50 EST
no worries. I'm closing this bug for now, please re-open it when you can reproduce it

Note You need to log in before you can comment on or make changes to this bug.